Public Member Functions | Private Attributes | List of all members
libabw::ABWXMLString Class Reference

`#include <ABWXMLHelper.h>`

## Public Member Functions
| ABWXMLString (xmlChar *xml)
const xmlChar * | get () const
| operator const char * () const

## Private Attributes
std::shared_ptr< xmlChar > | m_xml

## Constructor & Destructor Documentation

## ◆ ABWXMLString()

libabw::ABWXMLString::ABWXMLString | ( | xmlChar * | xml | ) |

## Member Function Documentation

## ◆ get()

const xmlChar * libabw::ABWXMLString::get | ( |  | ) | const

Referenced by libabw::ABWParser::readSection().

## ◆ operator const char *()

libabw::ABWXMLString::operator const char * | ( |  | ) | const

## Member Data Documentation

## ◆ m_xml

std::shared_ptr<xmlChar> libabw::ABWXMLString::m_xml
| private

Referenced by get().

The documentation for this class was generated from the following files:

- ABWXMLHelper.h
- ABWXMLHelper.cpp